Skip to main content
Docs

Search guides and API endpoints, for example “Idempotency-Key” or “submit job”.

    API reference

    Your models

    On this page

    List your MPNN models

    GET/api/v1/user-models/mpnn

    API key or token

    Parameters

    Query parameters
    NameTypeDescription
    model_namestring

    Example request

    curl "https://api.cognichem.com/api/v1/user-models/mpnn" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · GetMPNNModelsResponse

    Response fields
    FieldTypeDescription
    model_infoobject | null
    model_names[]string[] | null

    Delete one of your MPNN models

    DELETE/api/v1/user-models/mpnn

    API key or token

    Parameters

    Query parameters
    NameTypeDescription
    model_namerequiredstring

    Example request

    curl -X DELETE "https://api.cognichem.com/api/v1/user-models/mpnn?model_name=MODEL_NAME" \
      -H "X-Api-Key: $COGNICHEM_API_KEY"

    Responses

    Successful Response · application/json · MessageResponse

    Response fields
    FieldTypeDescription
    messagerequiredstring